//**********************************************************************//
//									//
//	Title  : devilpunch.shader					//
//	Author : Sock							//
//	Date   : 14th August 2001					//
//	Email  : sock@planetquake.com					//
//	URL    : http://www.planetquake.com/simland			//
//									//
//**********************************************************************//

textures/ulb_devil/devpun_skybox
{
	qer_editorimage textures/ulb_devil/devpun_view.tga
	q3map_globaltexture
	
	q3map_sunExt 0.6 0.6 0.6 100 120 60 3 12
	q3map_lightmapFilterRadius	0 8
	q3map_skyLight	165 5   
	
	q3map_noFog
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodlight

	skyparms textures/ulb_devil/devpun - -
	
}

textures/ulb_devil/icymain
{
    qer_editorimage textures/ulb_devil/block10b.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/ulb_devil/block10b.tga
    }
	{
        map textures/ulb_devil/goldenshiny2.tga
        tcgen environment
        blendFunc blend
    }
    {
        map $lightmap
        blendfunc filter
    }
}

textures/ulb_devil/icytrim
{
    qer_editorimage textures/ulb_devil/064-14b.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/ulb_devil/064-14b.tga
    }
	{
        map textures/ulb_devil/goldenshiny2.tga
        tcgen environment
        blendFunc blend
    }
    {
        map $lightmap
        blendfunc filter
    }
}

textures/ulb_devil/lig_064-05r2-2k
{
	qer_editorimage textures/ulb_devil/064lig30rb.tga
	q3map_lightimage textures/ulb_devil/064lig30r.blend.tga
	q3map_surfacelight 2000
	surfaceparm nomarks
	{
		map textures/ulb_devil/064lig30rb.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ulb_devil/064lig30r.blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sawtooth .6 .1 0 7
	}
}

textures/ulb_devil/lig_128-01r1-2k
{
	qer_editorimage textures/ulb_devil/sqrlig02ra.tga
	q3map_lightimage textures/ulb_devil/sqrlig02r.blend.tga
	q3map_surfacelight 2000
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ulb_devil/sqrlig02ra.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ulb_devil/sqrlig02r.blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin .3 .1 0 0.5
	}
}